Cyberduck Mountain Duck CLI

#10909 closed defect (worksforme)

Bucket name is not DNS compatible when trying to create new bucket

Reported by: akoznov Owned by:
Priority: normal Milestone:
Component: s3 Version: 7.2.2
Severity: major Keywords:
Cc: Architecture:
Platform: Windows 10

Description

We've got S3 compatible service based on Dell ECS and we've got errors after upgrade from 7.1.X version to 7.2.X (current version is 7.2.2 (32045)): Settings of connection :

Server : s3.ourdomain.ru Port: 443

Access Key ID: demo Secret Access Key: SuperSecretKey

Path: empty All another options is set to default.

Creating new folder: http://prntscr.com/qbw9hl

Error : http://prntscr.com/qbwasz

Screenshot of connection properties: http://prntscr.com/qbwg2y

Also when we change connection settings in option of path (for example we set it to name of created bucket with name /123 or 123) we've got error of certificate : "The certificate for this server is invalid. You might be connections to a server that is pretending to be s3.ourdomain.ru which could put your confidentional information at risk." But our certificate is wildcard and valid to 07.05.2021 and was issued by Thawte RSA CA: http://prntscr.com/qbwe89 http://prntscr.com/qbwehl

Properties of connection: http://prntscr.com/qbwfb3

Error of listing directory: http://prntscr.com/qbwfgb

Thanks!

Change History (5)

comment:1 Changed on Jan 8, 2020 at 12:56:35 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Make sure you choose a bucket name that is a valid DNS name.

comment:2 Changed on Jan 15, 2020 at 10:18:30 AM by akoznov

  • Resolution worksforme deleted
  • Status changed from closed to reopened

"Make sure you choose a bucket name that is a valid DNS name." I am sure that i choose all data correct. We still cant use latest version of Cyberduck with Dell ECS.

comment:3 Changed on Jan 31, 2020 at 5:19:20 AM by akoznov

Is there any news regarding this ticket?

comment:4 Changed on Feb 19, 2020 at 8:42:26 AM by akoznov

David, can you check this issue one more time? We've got this error after bugfix in 7.2.0 version (Default to use virtual hosted style to access bucket contents for third party S3 providers) in all clients CyberDuck applications? We are recommending to our clients use version 7.1.2 that was last in 7.1 branch where this issue is not reproducing.

comment:5 Changed on Apr 15, 2020 at 3:48:51 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Please make sure the bucket name is lowercase only.

Note: See TracTickets for help on using tickets.
swiss made software